libcamera::IPAStream Struct Reference

Stream configuration for the IPA interface. More...

## Public Attributes

unsigned int | pixelFormat
| The stream pixel format.
Size | size
| The stream size in pixels.

## Detailed Description

Stream configuration for the IPA interface.

The IPAStream structure stores stream configuration parameters needed by the IPAInterface::configure() method. It mirrors the StreamConfiguration class that is not suitable for this purpose due to not being serializable.

The documentation for this struct was generated from the following files:

- include/libcamera/ipa/ipa_interface.h
- src/libcamera/ipa_interface.cpp